EDIT - bug #9264

Flag for toggle button for linking taxon with navigator looses/switch value without clicking the button
10/26/2020 11:23 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 90%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.19

Severity: blocker Found in Version:

Description

mail WB:

ich habe die Caryophyllales_spp gerade aufgemacht und nach Hammada articulata gesucht und das Resultat (Haloxylon
salicornium) aufgerufen. Dann (mit Fokus auf dem gefundenen Synonym) den Link zum Navigator betétigt (der hat Gbrigens offenbar
keinen Hilfetext). Nichts passierte. Klar, war ja auch das Synonym. Aber als ich den Fokus auf den Taxonnamen setzte, passierte
auch nichts. Die Positionierung im Navigator erfolgte erst, also ich die Verlinkung wieder abwahlte.

mail AM:
ja, diesen Bug habe ich auch schon seit langerem beobachtet. Er auBBert sich m.E. aber so, dass hin- und wieder der Toggle-Wert

des buttons sich umkehrt, also der Link findet statt, wenn der Button ,disabled” wird statt beim ,enablen”. Es scheint sich also ein
State gemerkt zu werden im Hintergrund statt einfach den Wert des Buttons auszulesen.

Related issues:
Has duplicate EDIT - bug #9247: Link with taxon does not work correctly Duplicate

Associated revisions

Revision d3334540 - 12/18/2020 10:18 AM - Katja Luther

fix #9264: use eventbus for updating link with taxon

Revision f5d64be9 - 01/22/2021 11:58 AM - Katja Luther

ref #9264: rename linkWithTaxon parameter

History

#1 - 12/04/2020 03:00 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.19

| hope this is fast to fix, therefore | move it to 5.19

#2 - 12/18/2020 10:59 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|d3334540d33466758ed37e2c7648{74f99420f43.

#3 - 12/18/2020 11:11 AM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller

- Severity changed from normal to blocker

please review

#4 - 01/21/2021 01:43 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

04/17/2024 1/2



https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/d3334540d33466758ed37e2c7648f74f99420f43

- % Done changed from 50 to 90

seems to work.

Is the parameter boolean isLinkWithTaxon really needed? it is not used. Is it only to have any parameter? If yes, can we rename it to dummy or so
(and mention in the code that/why it is needed?

Generally we can close this ticket.

#5 - 01/22/2021 11:56 AM - Katja Luther
- Status changed from Feedback to Closed

Renamed parameter and close this ticket.
#6 - 02/04/2021 03:00 PM - Andreas Miiller
- Subject changed from Flag for toggle button looses/switch value without clicking the button to Flag for toggle button for linking taxon with navigator

looses/switch value without clicking the button

#7 - 02/04/2021 03:01 PM - Andreas Miiller
- Has duplicate bug #9247: Link with taxon does not work correctly added
